## rtpengine 12.5.1.25

=== debian/changelog ===
rtpengine (12.5.1.25-1) unstable; urgency=medium

  * New upstream version 12.5.1.25
  * add missing kernel-module/gen-* files (Closes: #1099568)

 -- Victor Seva <vseva@debian.org>  Wed, 05 Mar 2025 14:18:13 +0100

rtpengine (12.5.1.24-1) unstable; urgency=medium

  * New upstream version 12.5.1.24

 -- Victor Seva <vseva@debian.org>  Mon, 03 Mar 2025 10:50:10 +0100
