=== debian/changelog ===
rtpengine (12.5.1.26-1) unstable; urgency=medium

  * New upstream version 12.5.1.26

 -- Victor Seva <vseva@debian.org>  Mon, 17 Mar 2025 18:26:12 +0100
