## rtpengine 12.5.1.27

=== debian/changelog ===
rtpengine (12.5.1.27-2) unstable; urgency=medium

  [ Andreas Beckmann ] (Closes: #1101804)
  * dkms.conf: declare BUILD_EXCLUSIVE_KERNEL_MIN="5.1"
  * dkms.prerm: do not act on daemon or module in a container environment
  * fix building twice in a row

 -- Victor Seva <vseva@debian.org>  Tue, 01 Apr 2025 11:54:44 +0200

rtpengine (12.5.1.27-1) unstable; urgency=medium

  * New upstream version 12.5.1.27

 -- Victor Seva <vseva@debian.org>  Fri, 28 Mar 2025 11:23:45 +0100
