=== debian/changelog ===
rtpengine (12.5.1.30-1) unstable; urgency=medium

  * New upstream version 12.5.1.30 (Closes: #1102960)

 -- Victor Seva <vseva@debian.org>  Mon, 14 Apr 2025 14:55:31 +0200
