## rtpengine 12.5.1.31

=== Makefile ===
--- 
+++ 
@@ -67,6 +67,7 @@
 	$(MAKE) -C perf-tester clean
 	$(MAKE) -C kernel-module clean
 	$(MAKE) -C t clean
+	$(MAKE) -C lib clean
 	rm -f config.mk
 
 .DEFAULT:
