=== t/Makefile ===
--- 
+++ 
@@ -21,6 +21,7 @@
 CFLAGS+=	$(CFLAGS_GTHREAD)
 CFLAGS+=	$(CFLAGS_OPENSSL)
 CFLAGS+=	$(CFLAGS_LIBPCRE)
+CFLAGS+=	$(CFLAGS_LIBCURL)
 CFLAGS+=	$(CFLAGS_JSON_GLIB)
 ifeq ($(with_transcoding),yes)
 CFLAGS+=	$(CFLAGS_LIBAVCODEC)
@@ -33,7 +34,6 @@
 CFLAGS+=	$(CFLAGS_LIBZ)
 CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
 CFLAGS+=	$(CFLAGS_LIBEVENT)
-CFLAGS+=	$(CFLAGS_XMLRPC)
 CFLAGS+=	-DWITH_TRANSCODING
 ifeq ($(RTPENGINE_EXTENDED_TESTS),1)
 CFLAGS+=	-DWITH_AMR_TESTS
@@ -49,6 +49,7 @@
 LDLIBS+=	$(LDLIBS_LIBCRYPTO)
 LDLIBS+=	$(LDLIBS_OPENSSL)
 LDLIBS+=	$(LDLIBS_LIBPCRE)
+LDLIBS+=	$(LDLIBS_LIBCURL)
 LDLIBS+=	$(LDLIBS_JSON_GLIB)
 ifeq ($(with_transcoding),yes)
 LDLIBS+=	$(LDLIBS_LIBAVCODEC)
@@ -62,7 +63,6 @@
 LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)
 LDLIBS+=	$(LDLIBS_LIBPCAP)
 LDLIBS+=	$(LDLIBS_LIBEVENT)
-LDLIBS+=	$(LDLIBS_XMLRPC)
 LDLIBS+=	$(LDLIBS_LIBHIREDIS)
 LDLIBS+=	$(LDLIBS_MYSQL)
 endif
