=== debian/changelog ===
rtpengine (12.5.1.31-1) unstable; urgency=medium

  * New upstream version 12.5.1.31 (Closes: #1104367)

 -- Victor Seva <vseva@debian.org>  Wed, 30 Apr 2025 15:29:45 +0200
