=== debian/control ===
Source: rtpengine
Section: net
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders:
 Victor Seva <vseva@debian.org>,
 Guillem Jover <gjover@sipwise.com>,
 Michael Prokop <mika@debian.org>,
Homepage: https://github.com/sipwise/rtpengine/
Vcs-Git: https://salsa.debian.org/pkg-voip-team/rtpengine.git
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/rtpengine/
Standards-Version: 4.7.0
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 default-libmysqlclient-dev,
 dh-sequence-dkms,
 discount,
 gperf,
 libavcodec-dev (>= 6:10),
 libavfilter-dev (>= 6:10),
 libavformat-dev (>= 6:10),
 libavutil-dev (>= 6:10),
 libbcg729-dev <!pkg.rtpengine.nobcg729>,
 libbencode-perl,
 libcrypt-openssl-rsa-perl,
 libcrypt-rijndael-perl,
 libcurl4-openssl-dev | libcurl4-gnutls-dev,
 libdigest-crc-perl,
 libdigest-hmac-perl,
 libevent-dev (>= 2.0),
 libglib2.0-dev (>= 2.44),
 libhiredis-dev,
 libio-multiplex-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libiptc-dev,
 libjson-glib-dev,
 libjson-perl,
 libmnl-dev,
 libmosquitto-dev,
 libncurses-dev,
 libnet-interface-perl,
 libnftnl-dev,
 libopus-dev,
 libpcap0.8-dev,
 libpcre2-dev,
 libsocket6-perl,
 libspandsp-dev,
 libssl-dev (>= 1.0.1),
 libswresample-dev (>= 6:10),
 libsystemd-dev,
 libtest2-suite-perl,
 liburing-dev (>= 2.3) <!pkg.rtpengine.nouring>,
 libwebsockets-dev,
 libxmlrpc-core-c3-dev (>= 1.16.07),
 libxtables-dev (>= 1.4) | iptables-dev (>= 1.4),
 pandoc,
 pkgconf,
 python3,
 python3-websockets,
 systemd-dev | systemd,
 zlib1g-dev,
Testsuite: autopkgtest-pkg-dkms

Package: rtpengine-daemon
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 adduser,
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 rtpengine-perftest <!pkg.rtpengine.no-transcoding>,
 rtpengine-recording-daemon,
 rtpengine-utils,
Provides:
 rtpengine-iptables,
Conflicts:
 ngcp-rtpengine-daemon,
 rtpengine-iptables,
Replaces:
 rtpengine-iptables,
Description: proxy for RTP and media streams used in NGCP, userspace part
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This daemon handles the first stages of proxying media streams and talks to
 the kernel part of the proxy for eventual high-performance packet forwarding.

Package: rtpengine-recording-daemon
Architecture: any
Multi-Arch: foreign
Build-Profiles: <!pkg.rtpengine.no-transcoding>
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 nfs-common,
 rtpengine-daemon,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 rtpengine-utils,
Conflicts:
 ngcp-rtpengine-recording-daemon,
Description: recording daemon for RTP and media streams
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This daemon handles the call recording (media intercept) component of rtpengine.

Package: rtpengine
Architecture: all
Multi-Arch: foreign
Depends:
 rtpengine-daemon (>= ${source:Version}),
 rtpengine-kernel-dkms (>= ${source:Version}),
 rtpengine-perftest (>= ${source:Version}) <!pkg.ngcp-rtpengine.no-transcoding>,
 rtpengine-recording-daemon (>= ${source:Version}) <!pkg.ngcp-rtpengine.no-transcoding>,
 rtpengine-utils (>= ${source:Version}),
 ${misc:Depends},
Conflicts:
 ngcp-rtpengine,
Description: NGCP RTP/media proxy - metapackage
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This is a metapackage for easy installation of all four parts of the NGCP
 media proxy. It will install the user-space daemon, the kernel-space IPtables
 module, the IPtables extension module and utility scripts.

Package: rtpengine-kernel-dkms
Section: kernel
Architecture: all
Depends:
 ${misc:Depends},
Conflicts:
 ngcp-rtpengine-kernel-dkms,
Description: IPtables kernel module for the NGCP media proxy - DKMS
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 Provides the kernel-space part of the NGCP media proxy for high-
 performance packet forwarding.
 This package contains the source to be built with dkms.

Package: rtpengine-utils
Architecture: all
Multi-Arch: foreign
Depends:
 libbencode-perl,
 libconfig-tiny-perl,
 libcrypt-rijndael-perl,
 libdigest-hmac-perl,
 libio-socket-inet6-perl,
 libio-socket-ip-perl,
 libjson-perl,
 libsocket6-perl,
 netcat-openbsd | netcat,
 ${misc:Depends},
 ${perl:Depends},
Conflicts:
 ngcp-rtpengine-utils,
Description: scripts and Perl modules for NGCP rtpengine
 Sipwise NGCP rtpengine is a proxy for RTP traffic and other UDP based media
 traffic. It's meant to be used with the Kamailio SIP proxy and forms a
 drop-in replacement for any of the other available RTP and media proxies.
 .
 This package contains scripts and Perl modules for NGCP rtpengine

Package: rtpengine-perftest
Architecture: any
Build-Profiles: <!pkg.rtpengine.no-transcoding>
Multi-Arch: foreign
Depends:
 rtpengine-perftest-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: helper tool to test rtpengine transcoding performance
 This interactive tool simulates transcoding scenarios using the rtpengine code
 base and produces performance and load statistics.

Package: rtpengine-perftest-data
Architecture: all
Multi-Arch: foreign
Build-Profiles: <!pkg.rtpengine.no-transcoding>
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: helper tool to test rtpengine transcoding performance - data files
 This interactive tool simulates transcoding scenarios using the rtpengine code
 base and produces performance and load statistics.
 .
 These are data files needed for the binary package.
