=== debian/watch ===
version=4
# follow just the mr12.5 line
https://github.com/sipwise/rtpengine/tags (?:.*?/)?mr(12\.5[\d.]*)\.tar\.gz
