## rtpengine 12.5.1.35

=== debian/changelog ===
rtpengine (12.5.1.35-1) unstable; urgency=medium

  * New upstream version 12.5.1.35 (Closes: #1106709)

 -- Victor Seva <vseva@debian.org>  Mon, 02 Jun 2025 16:14:56 +0200
