## rtpengine 12.5.1.38

=== daemon/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 CFLAGS+=	$(CFLAGS_OPENSSL)
 CFLAGS+=	$(CFLAGS_LIBEVENT)
 CFLAGS+=	$(CFLAGS_LIBPCRE)
-CFLAGS+=	$(CFLAGS_XMLRPC)
+CFLAGS+=	$(CFLAGS_LIBCURL)
 CFLAGS+=	$(CFLAGS_JSON_GLIB)
 CFLAGS+=	$(CFLAGS_LIBWEBSOCKETS)
 CFLAGS+=	$(CFLAGS_LIBNFTNL)
@@ -58,11 +58,11 @@
 LDLIBS+=	$(LDLIBS_GTHREAD)
 LDLIBS+=	$(LDLIBS_LIBZ)
 LDLIBS+=	$(LDLIBS_LIBPCRE)
+LDLIBS+=	$(LDLIBS_LIBCURL)
 LDLIBS+=	$(LDLIBS_LIBCRYPTO)
 LDLIBS+=	$(LDLIBS_OPENSSL)
 LDLIBS+=	$(LDLIBS_LIBEVENT)
 LDLIBS+=	$(LDLIBS_LIBPCAP)
-LDLIBS+=	$(LDLIBS_XMLRPC)
 LDLIBS+=	$(LDLIBS_LIBHIREDIS)
 LDLIBS+=	$(LDLIBS_JSON_GLIB)
 LDLIBS+=	$(LDLIBS_LIBWEBSOCKETS)
