=== t/Makefile ===
--- 
+++ 
@@ -104,7 +104,8 @@
 .PHONY:		all-tests unit-tests daemon-tests daemon-tests \
 	daemon-tests-main daemon-tests-jb daemon-tests-dtx daemon-tests-dtx-cn daemon-tests-pubsub \
 	daemon-tests-intfs daemon-tests-stats daemon-tests-delay-buffer daemon-tests-delay-timing \
-	daemon-tests-evs daemon-tests-player-cache daemon-tests-redis daemon-tests-t38 daemon-tests-evs-dtx
+	daemon-tests-evs daemon-tests-player-cache daemon-tests-redis daemon-tests-t38 daemon-tests-evs-dtx \
+	daemon-tests-measure-rtp daemon-tests-heuristic daemon-tests-rtcp
 
 TESTS=		test-bitstr aes-crypt aead-aes-crypt test-const_str_hash.strhash
 ifeq ($(with_transcoding),yes)
@@ -142,7 +143,7 @@
 	daemon-tests-evs daemon-tests-async-tc \
 	daemon-tests-audio-player daemon-tests-audio-player-play-media \
 	daemon-tests-intfs daemon-tests-stats daemon-tests-player-cache daemon-tests-redis \
-	daemon-tests-rtpp-flags
+	daemon-tests-rtpp-flags daemon-tests-measure-rtp daemon-tests-heuristic daemon-tests-rtcp
 
 daemon-test-deps:	tests-preload.so
 	$(MAKE) -C ../daemon
@@ -153,6 +154,9 @@
 daemon-tests-jb:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-jb.pl
 
+daemon-tests-heuristic:	daemon-test-deps
+	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-heuristic.pl
+
 daemon-tests-dtx:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-dtx.pl
 
@@ -194,6 +198,9 @@
 
 daemon-tests-rtpp-flags:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtpp-flags.pl
+
+daemon-tests-measure-rtp:	daemon-test-deps
+	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-measure-rtp.pl
 
 daemon-tests-async-tc:	daemon-test-deps
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-async-tc.pl
@@ -202,8 +209,8 @@
 			spandsp_send_fax_pcm spandsp_send_fax_t38
 	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-t38.pl
 
-daemon-tests-evs-dtx:	daemon-test-deps
-	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-evs-dtx.pl
+daemon-tests-rtcp:	daemon-test-deps
+	./auto-test-helper "$@" perl -I../perl auto-daemon-tests-rtcp.pl
 
 test-bitstr:	test-bitstr.o
