=== debian/changelog ===
rtpengine (12.5.1.38-1) unstable; urgency=medium

  * New upstream version 12.5.1.38

 -- Victor Seva <vseva@debian.org>  Wed, 30 Jul 2025 23:15:36 +0200
