## rtpengine 12.5.1.45

=== debian/changelog ===
rtpengine (12.5.1.45-1) unstable; urgency=medium

  * New upstream version 12.5.1.45

 -- Victor Seva <vseva@debian.org>  Wed, 03 Sep 2025 19:04:33 +0200
