=== debian/changelog ===
rtpengine (12.5.1.46-1) unstable; urgency=medium

  * New upstream version 12.5.1.46

 -- Victor Seva <vseva@debian.org>  Tue, 23 Sep 2025 16:52:02 +0200
